Summary:	Python 3.x Cairo bindings
Summary(pl.UTF-8):	Dowiązania Pythona 3.x dla Cairo
Name:		python3-pycairo
Version:	1.15.3
Release:	1
License:	LGPL v3
Group:		Libraries
Source0:	https://github.com/pygobject/pycairo/releases/download/v%{version}/pycairo-%{version}.tar.gz
# Source0-md5:	7390cd413271fe5569f6eef73d72bf7a
URL:		http://cairographics.org/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	cairo-devel >= 1.13.1
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 3.1
BuildRequires:	python3-devel >= 3.1
# for tests only
#BuildRequires:	python-numpy
# not released yet
#BuildRequires:	python-xpyb >= 1.3
BuildRequires:	rpm-pythonprov
Requires:	cairo >= 1.13.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 3.x Cairo bindings.

%description -l pl.UTF-8
Dowiązania Pythona 3.x dla Cairo.

%package devel
Summary:	Development files for pycairo
Summary(pl.UTF-8):	Pliki programistyczne pycairo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.13.1

%description devel
Development files for pycairo.

%description devel -l pl.UTF-8
Pliki programistyczne pycairo.

%package examples
Summary:	Example programs using Python Cairo bindings
Summary(pl.UTF-8):	Przykładowe programy w Pythonie używające Cairo
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
Example programs using Python Cairo bindings.

%description examples -l pl.UTF-8
Przykładowe programy w Pythonie używające Cairo.

%prep
%setup -q -n pycairo-%{version}

%ifarch x32
%{__sed} -i -e 's/lib64/libx32/g' setup.py
%endif

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}

%py3_install

cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README.rst
%dir %{py3_sitedir}/cairo
%attr(755,root,root) %{py3_sitedir}/cairo/_cairo.cpython-*.so
%{py3_sitedir}/cairo/*.py
%{py3_sitedir}/cairo/__pycache__
%{py3_sitedir}/pycairo-%{version}-py*.egg-info

%files devel
%defattr(644,root,root,755)
%{_includedir}/pycairo
%{_npkgconfigdir}/py3cairo.pc

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Oct 28 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pycairo.git;a=log;h=master

* Sat Oct 28 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e894d14
- Update to 1.15.3

* Sat Jan 14 2017 Jakub Bogusz <qboosh@pld-linux.org> 2fe436c
- adjusted get_python_lib in setup patch to use prefix=

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c5b7e9f
- python 3.6
- release 10 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 536e173
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 31245ea
- release 9 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> aed9c0b
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 396f426
- release 8 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 21a51ac
- python 3.5 rebuild
- release 7 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 36a04c1
- x32 rebuild
- release 6 (by relup.sh)

* Sun Jan 04 2015 Jan Rękorajski <baggins@pld-linux.org> 984b1a5
- fix build on x32

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c08db5
- python 3.4
- release 5 (by relup.sh)

* Tue Jul 16 2013 Marcin Krol <hawk@tld-linux.org> f81391f
- added setup.py to fix build issues when using bundled waf:
  - .so is now properly tagged with SOABI when built with python >= 3.3.1
  - modules are compiled to __pycache__ (clears TODO)
- release 4

* Tue Jul 16 2013 Marcin Krol <hawk@tld-linux.org> 3678fc7
- restored setup.py from upstream git + changes making it work properly

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5857057
- release 3 (by relup.sh)

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> 0b59ca5
- Python 3.2 fixes (not sure it works)
- Release: 2

* Sun May 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 9073c45
- updated to 2.10.0
- even with python 3.2 build system uses pre-3.2 packaging style (.py[co] not __pycache__)

* Fri Nov 12 2010 Artur Frysiak <artur@frysiak.net> 8324896
- initial

